# Class PRS_Feature
extends PRS_ExchangeElement

PRS_Feature is used for structured diagnostic data, including specific data values like steps or conditions. For example, consider a PRS_Statement with a Text property value of: Print jobs per day are less than 50 This could be described using a PRS_Feature as follows: Description: 'Print jobs per day' Prompt: 'How many print jobs per day?' ValidValues: '10' '50' '100' DataType: 'Integer' The associated PRS_Statement would contain: Operator: '<' FeatureValue: '50'

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Feature

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PRS_Feature is used for structured diagnostic data, including specific data values like steps or conditions. For example, consider a PRS_Statement with a Text property value of: Print jobs per day are less than 50 This could be described using a PRS_Feature as follows: Description: 'Print jobs per day' Prompt: 'How many print jobs per day?' ValidValues: '10' '50' '100' DataType: 'Integer' The associated PRS_Statement would contain: Operator: '<' FeatureValue: '50'

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DataType | uint8 |
Description | string | Data type used for PRS_Statement FeatureValue property.
ValueMap | string | 0, 1, 2, 3, 4, 5, 254, 255
Values | string | String, Integer, Float, Date/Time, Boolean, Binary, Other, Unknown
Prompt | string |
Description | string | Prompt presented through user interface.
ValidValues | string |
Description | string | Valid values for this PRS_Feature.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods